Debian Bug report logs - #203098
Use <link rel="..."> in generated HTML

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Toni Mueller <support@oeko.net>

Date: Sun, 27 Jul 2003 18:33:03 UTC

Severity: wishlist

Tags: wontfix

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#203098; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Toni Mueller <support@oeko.net>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Toni Mueller <support@oeko.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-policy: using <link rel="..."> would be nice
Date: Sun, 27 Jul 2003 20:31:33 +0200
Package: debian-policy
Version: 3.6.0
Severity: wishlist


Hello,

using HTML headers like <link rel="..."> would be nice because it would
ease navigation. For an example on what it does, please see
postgresql-doc. Mozilla, and probably other browsers, can interpret
such statements and show a navigation bar on their own.

Thank you!


Best,
--Toni++


-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux spruce 2.4.21-2-686-smp #1 SMP Sat Jul 5 01:42:22 EST 2003 i686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro

-- no debconf information




Bug reassigned from package `debian-policy' to `debiandoc-sgml'. Request was from Josip Rodin <joy@srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#203098; Package debiandoc-sgml. Full text and rfc822 format available.

Acknowledgement sent to Ardo van Rangelrooij <ardo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 203098@bugs.debian.org (full text, mbox):

From: Ardo van Rangelrooij <ardo@debian.org>
To: Toni Mueller <support@oeko.net>, 203098@bugs.debian.org
Cc: debian-policy@lists.debian.org
Subject: Re: Bug#203098: debian-policy: using <link rel="..."> would be nice
Date: Sat, 13 Dec 2003 12:22:56 -0600
Hi,

This option is already supported.  Just use the '-L' command line option.
See debiandoc2html(1).

However, although this looks nice in e.g. Mozilla, it totally screws up
text-based browsers such as lynx and links.  Unless those latter browsers
support the option _not_ to show the links I would not recommend using
it on a general-purpose basis.

Thanks,
Ardo

Toni Mueller (support@oeko.net) wrote:
> Package: debian-policy
> Version: 3.6.0
> Severity: wishlist
> 
> 
> Hello,
> 
> using HTML headers like <link rel="..."> would be nice because it would
> ease navigation. For an example on what it does, please see
> postgresql-doc. Mozilla, and probably other browsers, can interpret
> such statements and show a navigation bar on their own.
> 
> Thank you!
> 
> 
> Best,
> --Toni++
-- 
Ardo van Rangelrooij
home email: ardo@debian.org
home page:  http://people.debian.org/~ardo
GnuPG fp:   3B 1F 21 72 00 5C 3A 73  7F 72 DF D9 90 78 47 F9



Bug reassigned from package `debiandoc-sgml' to `debian-policy'. Request was from Ardo van Rangelrooij <ardo@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#203098; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Manoj Srivastava <srivasta@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 203098@bugs.debian.org (full text, mbox):

From: Manoj Srivastava <srivasta@debian.org>
To: Debian Bug Tracking System <control@bugs.debian.org>, 203098@bugs.debian.org
Subject: using <link rel="...">
Date: Fri, 30 Nov 2007 23:01:01 -0600
user srivasta@debian.org
usertag 203098 + rejected;
tags 203098 +wontfix
thanks

Hi,

        Since the current navigation provided is functional, and the
 links asked for present problems to text based browsers, and since we
 are going to be moving to docbook soon anyway, I am tagging this rather
 old bug wontfix.

        manoj
-- 
"Old age and treachery will beat youth and skill every time." a coffee
cup
Manoj Srivastava <srivasta@debian.org> <http://www.debian.org/~srivasta/>  
1024D/BF24424C print 4966 F272 D093 B493 410B  924B 21BA DABB BF24 424C




Tags added: wontfix Request was from Manoj Srivastava <srivasta@debian.org> to control@bugs.debian.org. (Sat, 01 Dec 2007 05:27:03 GMT) Full text and rfc822 format available.

Changed Bug title to `Use <link rel="..."> in generated HTML' from `debian-policy: using <link rel="..."> would be nice'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:44 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Sat, 05 Mar 2011 06:06:03 GMT) Full text and rfc822 format available.

Notification sent to Toni Mueller <support@oeko.net>:
Bug acknowledged by developer. (Sat, 05 Mar 2011 06:06:03 GMT) Full text and rfc822 format available.

Message #28 received at 203098-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 203098-done@bugs.debian.org
Subject: Re: using <link rel="...">
Date: Sat, 5 Mar 2011 00:02:07 -0600
Manoj Srivastava wrote:

>         Since the current navigation provided is functional, and the
>  links asked for present problems to text based browsers, and since we
>  are going to be moving to docbook soon anyway, I am tagging this rather
>  old bug wontfix.

Fixed by debiandoc-sgml 1.2.8.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Apr 2011 07:43:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:56:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.